Loading...
Searching...
No Matches
etl::scheduler< TSchedulerPolicy, MAX_TASKS_ > Class Template Reference

Scheduler. More...

`#include <scheduler.h>`

## Public Types

enum | { MAX_TASKS = MAX_TASKS_ }

## Public Member Functions

void | start ()
| Start the scheduler.
Public Member Functions inherited from etl::ischeduler
void | set_idle_callback (etl::ifunction< void > &callback)
| Set the idle callback.
void | set_watchdog_callback (etl::ifunction< void > &callback)
| Set the watchdog callback.
void | set_scheduler_running (bool scheduler_running_)
| Set the running state for the scheduler.
bool | scheduler_is_running () const
| Get the running state for the scheduler.
void | exit_scheduler ()
| Force the scheduler to exit.
void | add_task (etl::task &task)
template<typename TSize>
void | add_task_list (etl::task **p_tasks, TSize size)

## Additional Inherited Members

Protected Member Functions inherited from etl::ischeduler
| ischeduler (etl::ivector< etl::task * > &task_list_)
| Constructor.
Protected Attributes inherited from etl::ischeduler
bool | scheduler_running
bool | scheduler_exit
etl::ifunction< void > * | p_idle_callback
etl::ifunction< void > * | p_watchdog_callback

## Detailed Description

template<typename TSchedulerPolicy, size_t MAX_TASKS_>
class etl::scheduler< TSchedulerPolicy, MAX_TASKS_ >

Scheduler.

## Member Function Documentation

## start()

template<typename TSchedulerPolicy, size_t MAX_TASKS_>

void etl::scheduler< TSchedulerPolicy, MAX_TASKS_ >::start | ( |  | ) |

inline virtual

Start the scheduler.

Implements etl::ischeduler.

The documentation for this class was generated from the following file:

- include/etl/scheduler.h